{ callPackage, mylibs, lib }:
rec {
  diaspora = callPackage ./diaspora { inherit mylibs; };

  mastodon = callPackage ./mastodon { inherit mylibs; };

  awl = callPackage ./awl {};
  davical = callPackage ./davical {};

  infcloud = callPackage ./infcloud {};

  nextcloud = callPackage ./nextcloud {};
  nextcloud-apps = let
      names = [
        "audioplayer" "bookmarks" "calendar" "contacts" "deck"
        "files_markdown" "gpxedit" "gpxpod" "keeweb" "music"
        "notes" "ocsms" "passman" "spreed" "tasks"
        "flowupload" "carnet"
        # FIXME: fix passman for NC 16
      ];
    in
    lib.attrsets.genAttrs names
      (name: callPackage (./nextcloud/apps + "/${name}.nix") { buildApp = nextcloud.buildApp; });

  phpldapadmin = callPackage ./phpldapadmin {};
}
